跳转到内容

Chrono Edit Lora

集成

模型 id chrono-edit-lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.02 20 API 积分 在此页面运行

获取 API 密钥
NVIDIA 图像编辑 最高 720p #image-to-image#image-editing

Chrono Edit 变体,每次编辑请求可额外合并最多 3 个 LoRA

NVIDIA · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述图像编辑内容的提示词。

•必填 image_url
拖放文件,或

用于编辑的图像。

resolution 默认 480p

结果图像的分辨率。

高级 output_format · num_inference_steps · guidance_scale · num_temporal_reasoning_steps · seed · enable_prompt_expansion · enable_temporal_reasoning · enable_safety_checker · turbo_mode · loras
output_format 默认 jpeg

结果图像的文件格式。

默认 8

要执行的推理步数。

默认 1

推理过程中应用的引导比例。

默认 8

时间推理所使用的步骤数。

推理过程中使用的种子。

默认 []

要合并到此请求中的可选额外 LoRA,最多 3 个。

POST /run/chrono-edit-lora?wait=20 报价 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Chrono Edit Lora

基于提示词进行图像编辑,控制项与基础版 Chrono Edit 相同:时序推理、提示词扩展、turbo 模式、480p 或 720p 分辨率,以及 jpeg、png 或 webp 输出。新增的 `loras` 数组可为请求合并最多 3 个额外 LoRA,以定制编辑风格。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
image_url必填 image
类型url · image
用于编辑的图像。
prompt必填
类型string
描述图像编辑内容的提示词。
num_inference_steps可选
类型integer
默认值8
2 – 50
要执行的推理步数。
guidance_scale可选
类型number
默认值1
0 – 10
推理过程中应用的引导比例。
enable_prompt_expansion可选
类型boolean
默认值true
控制是否启用提示词扩展。
enable_temporal_reasoning可选
类型boolean
默认值false
控制是否启用时间推理。
num_temporal_reasoning_steps可选
类型integer
默认值8
2 – 12
时间推理所使用的步骤数。
resolution可选
类型enum
默认值480p
480p720p
结果图像的分辨率。
enable_safety_checker可选
类型boolean
默认值true
安全检查开关;关闭设置仅对已授权账户生效。所有未获得该授权的请求都会进行安全检查。
seed可选
类型integer | null
推理过程中使用的种子。
output_format可选
类型enum
默认值jpeg
jpegpngwebp
结果图像的文件格式。
turbo_mode可选
类型boolean
默认值true
用于加快推理的 Turbo 模式开关。
loras可选
类型object[]
默认值[]
要合并到此请求中的可选额外 LoRA,最多 3 个。
loras[].path必填
类型string
Safetensors 格式 LoRA 权重的位置,以 URL 或路径指定。
loras[].scale可选
类型number
默认值1
0 – 4
设置 LoRA 强度的缩放乘数。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chrono-edit-lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}编辑生成的图像。
prompt
string提供给推理过程的提示词。
seed
integer推理过程中使用的种子。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/chrono-edit-lora.md. 所有模型和指南: https://doitong.com/developers/llms.txt